<?php

abstract class we_country_nn{

	const DATA = [
		'territory' => [
			'AD' => 'Andorra',
			'AE' => 'Dei sameinte arabiske emirata',
			'AF' => 'Afghanistan',
			'AG' => 'Antigua og Barbuda',
			'AI' => 'Anguilla',
			'AL' => 'Albania',
			'AM' => 'Armenia',
			'AN' => 'Dei nederlandske Antillane',
			'AO' => 'Angola',
			'AQ' => 'Antarktis',
			'AR' => 'Argentina',
			'AS' => 'Amerikansk Samoa',
			'AT' => 'Austerrike',
			'AU' => 'Australia',
			'AW' => 'Aruba',
			'AX' => 'Åland',
			'AZ' => 'Aserbajdsjan',
			'BA' => 'Bosnia og Hercegovina',
			'BB' => 'Barbados',
			'BD' => 'Bangladesh',
			'BE' => 'Belgia',
			'BF' => 'Burkina Faso',
			'BG' => 'Bulgaria',
			'BH' => 'Bahrain',
			'BI' => 'Burundi',
			'BJ' => 'Benin',
			'BL' => 'Saint Barthélemy',
			'BM' => 'Bermuda',
			'BN' => 'Brunei Darussalam',
			'BO' => 'Bolivia',
			'BR' => 'Brasil',
			'BS' => 'Bahamas',
			'BT' => 'Bhutan',
			'BV' => 'Bouvetøya',
			'BW' => 'Botswana',
			'BY' => 'Kviterussland',
			'BZ' => 'Belize',
			'CA' => 'Canada',
			'CC' => 'Kokosøyane',
			'CD' => 'Kongo-Kinshasa',
			'CF' => 'Den sentralafrikanske republikken',
			'CG' => 'Kongo-Brazzaville',
			'CH' => 'Sveits',
			'CI' => 'Elfenbeinskysten',
			'CK' => 'Cookøyane',
			'CL' => 'Chile',
			'CM' => 'Kamerun',
			'CN' => 'Kina',
			'CO' => 'Colombia',
			'CR' => 'Costa Rica',
			'CS' => 'Serbia og Montenegro',
			'CU' => 'Cuba',
			'CV' => 'Kapp Verde',
			'CX' => 'Christmasøya',
			'CY' => 'Kypros',
			'CZ' => 'Tsjekkia',
			'DE' => 'Tyskland',
			'DJ' => 'Djibouti',
			'DK' => 'Danmark',
			'DM' => 'Dominica',
			'DO' => 'Den dominikanske republikken',
			'DZ' => 'Algerie',
			'EC' => 'Ecuador',
			'EE' => 'Estland',
			'EG' => 'Egypt',
			'EH' => 'Vest-Sahara',
			'ER' => 'Eritrea',
			'ES' => 'Spania',
			'ET' => 'Etiopia',
			'FI' => 'Finland',
			'FJ' => 'Fiji',
			'FK' => 'Falklandsøyane',
			'FM' => 'Mikronesiaføderasjonen',
			'FO' => 'Færøyane',
			'FR' => 'Frankrike',
			'GA' => 'Gabon',
			'GB' => 'Storbritannia',
			'GD' => 'Grenada',
			'GE' => 'Georgia',
			'GF' => 'Fransk Guyana',
			'GG' => 'Guernsey',
			'GH' => 'Ghana',
			'GI' => 'Gibraltar',
			'GL' => 'Grønland',
			'GM' => 'Gambia',
			'GN' => 'Guinea',
			'GP' => 'Guadeloupe',
			'GQ' => 'Ekvatorial-Guinea',
			'GR' => 'Hellas',
			'GS' => 'Sør-Georgia og Sør-Sandwich-øyane',
			'GT' => 'Guatemala',
			'GU' => 'Guam',
			'GW' => 'Guinea-Bissau',
			'GY' => 'Guyana',
			'HK' => 'Hong Kong S.A.R. (Kina)',
			'HM' => 'Heard- og McDonaldsøyane',
			'HN' => 'Honduras',
			'HR' => 'Kroatia',
			'HT' => 'Haiti',
			'HU' => 'Ungarn',
			'ID' => 'Indonesia',
			'IE' => 'Irland',
			'IL' => 'Israel',
			'IM' => 'Man',
			'IN' => 'India',
			'IO' => 'Britiske område i Det indiske hav',
			'IQ' => 'Irak',
			'IR' => 'Iran',
			'IS' => 'Island',
			'IT' => 'Italia',
			'JE' => 'Jersey',
			'JM' => 'Jamaica',
			'JO' => 'Jordan',
			'JP' => 'Japan',
			'KE' => 'Kenya',
			'KG' => 'Kirgisistan',
			'KH' => 'Kambodsja',
			'KI' => 'Kiribati',
			'KM' => 'Komorene',
			'KN' => 'St. Christopher og Nevis',
			'KP' => 'Nord-Korea',
			'KR' => 'Sør-Korea',
			'KW' => 'Kuwait',
			'KY' => 'Caymanøyane',
			'KZ' => 'Kasakhstan',
			'LA' => 'Laos',
			'LB' => 'Libanon',
			'LC' => 'St. Lucia',
			'LI' => 'Liechtenstein',
			'LK' => 'Sri Lanka',
			'LR' => 'Liberia',
			'LS' => 'Lesotho',
			'LT' => 'Litauen',
			'LU' => 'Luxembourg',
			'LV' => 'Latvia',
			'LY' => 'Libya',
			'MA' => 'Marokko',
			'MC' => 'Monaco',
			'MD' => 'Moldova',
			'ME' => 'Montenegro',
			'MF' => 'Saint Martin',
			'MG' => 'Madagaskar',
			'MH' => 'Marshalløyane',
			'MK' => 'Makedonia',
			'ML' => 'Mali',
			'MM' => 'Myanmar',
			'MN' => 'Mongolia',
			'MO' => 'Macao S.A.R. (Kina)',
			'MP' => 'Nord-Marianane',
			'MQ' => 'Martinique',
			'MR' => 'Mauritania',
			'MS' => 'Montserrat',
			'MT' => 'Malta',
			'MU' => 'Mauritius',
			'MV' => 'Maldivane',
			'MW' => 'Malawi',
			'MX' => 'Mexico',
			'MY' => 'Malaysia',
			'MZ' => 'Mosambik',
			'NA' => 'Namibia',
			'NC' => 'Ny-Caledonia',
			'NE' => 'Niger',
			'NF' => 'Norfolkøyane',
			'NG' => 'Nigeria',
			'NI' => 'Nicaragua',
			'NL' => 'Nederland',
			'NO' => 'Noreg',
			'NP' => 'Nepal',
			'NR' => 'Nauru',
			'NU' => 'Niue',
			'NZ' => 'New Zealand',
			'OM' => 'Oman',
			'PA' => 'Panama',
			'PE' => 'Peru',
			'PF' => 'Fransk Polynesia',
			'PG' => 'Papua Ny-Guinea',
			'PH' => 'Filippinane',
			'PK' => 'Pakistan',
			'PL' => 'Polen',
			'PM' => 'St. Pierre og Miquelon',
			'PN' => 'Pitcairn',
			'PR' => 'Puerto Rico',
			'PS' => 'Palestinsk territorium',
			'PT' => 'Portugal',
			'PW' => 'Palau',
			'PY' => 'Paraguay',
			'QA' => 'Qatar',
			'QO' => 'Ytre Oseania',
			'QU' => 'Den europeiske unionen',
			'RE' => 'Réunion',
			'RO' => 'Romania',
			'RS' => 'Serbia',
			'RU' => 'Russland',
			'RW' => 'Rwanda',
			'SA' => 'Saudi Arabia',
			'SB' => 'Salomonøyane',
			'SC' => 'Seychellane',
			'SD' => 'Sudan',
			'SE' => 'Sverige',
			'SG' => 'Singapore',
			'SH' => 'Saint Helena',
			'SI' => 'Slovenia',
			'SJ' => 'Svalbard og Jan Mayen',
			'SK' => 'Slovakia',
			'SL' => 'Sierra Leone',
			'SM' => 'San Marino',
			'SN' => 'Senegal',
			'SO' => 'Somalia',
			'SR' => 'Surinam',
			'ST' => 'São Tomé og Príncipe',
			'SV' => 'El Salvador',
			'SY' => 'Syria',
			'SZ' => 'Swaziland',
			'TC' => 'Turks- og Caicosøyane',
			'TD' => 'Tchad',
			'TF' => 'Franske sørområde',
			'TG' => 'Togo',
			'TH' => 'Thailand',
			'TJ' => 'Tadsjikistan',
			'TK' => 'Tokelau',
			'TL' => 'Aust-Timor',
			'TM' => 'Turkmenistan',
			'TN' => 'Tunisia',
			'TO' => 'Tonga',
			'TR' => 'Tyrkia',
			'TT' => 'Trinidad og Tobago',
			'TV' => 'Tuvalu',
			'TW' => 'Taiwan',
			'TZ' => 'Tanzania',
			'UA' => 'Ukraina',
			'UG' => 'Uganda',
			'UM' => 'USAs ytre småøyar',
			'US' => 'USA',
			'UY' => 'Uruguay',
			'UZ' => 'Usbekistan',
			'VA' => 'Vatikanstaten',
			'VC' => 'St. Vincent og Grenadinane',
			'VE' => 'Venezuela',
			'VG' => 'Jomfruøyane (britisk)',
			'VI' => 'Jomfruøyane (USA)',
			'VN' => 'Vietnam',
			'VU' => 'Vanuatu',
			'WF' => 'Wallis og Futuna',
			'WS' => 'Samoa',
			'YE' => 'Yemen',
			'YT' => 'Mayotte',
			'ZA' => 'Sør-Afrika',
			'ZM' => 'Zambia',
			'ZW' => 'Zimbabwe',
			'ZZ' => '(ukjent eller ugyldig område)',
		],
		'region' => [
			'001' => 'verda',
			'002' => 'Afrika',
			'003' => 'Nord-Amerika',
			'005' => 'Sør-Amerika',
			'009' => 'Oseania',
			'011' => 'Vest-Afrika',
			'013' => 'Sentral-Amerika',
			'014' => 'Aust-Afrika',
			'015' => 'Nord-Afrika',
			'017' => 'Sentral-Afrika',
			'018' => 'Sørlege Afrika',
			'019' => 'Amerika',
			'021' => 'nordlege Amerika',
			'029' => 'Karibia',
			'030' => 'Aust-Asia',
			'034' => 'Sør-Asia',
			'035' => 'Søraust-Asia',
			'039' => 'Sør-Europa',
			'053' => 'Australia og New Zealand',
			'054' => 'Melanesia',
			'057' => 'Mikronesia',
			'061' => 'Polynesia',
			'062' => 'Sørlege Sentral-Asia',
			142 => 'Asia',
			143 => 'Sentral-Asia',
			145 => 'Vest-Asia',
			150 => 'Europa',
			151 => 'Aust-Europa',
			154 => 'Nord-Europa',
			155 => 'Vest-Europa',
			172 => 'Samveldet av uavhengige statar',
			419 => 'Latin-Amerika og Karibia',
			830 => 'Kanaløyane',
		],
		'language' => [
			'aa' => 'afar',
			'ab' => 'abkhasisk',
			'ace' => 'achinesisk',
			'ach' => 'acoli',
			'ada' => 'adangme',
			'ady' => 'adyghe',
			'ae' => 'avestisk',
			'af' => 'afrikaans',
			'afa' => 'afroasiatisk språk',
			'afh' => 'afrihili',
			'ain' => 'ainu',
			'ak' => 'akan',
			'akk' => 'akkadisk',
			'ale' => 'aleutisk',
			'alg' => 'algonkinsk språk',
			'alt' => 'sør-altai',
			'am' => 'amharisk',
			'an' => 'aragonsk',
			'ang' => 'gammalengelsk',
			'anp' => 'angika',
			'apa' => 'apache-språk',
			'ar' => 'arabisk',
			'arc' => 'arameisk',
			'arn' => 'araukansk',
			'arp' => 'arapaho',
			'art' => 'kunstig språk',
			'arw' => 'arawak',
			'as' => 'assamisk',
			'ast' => 'asturisk',
			'ath' => 'athapaskansk språk',
			'aus' => 'australsk språk',
			'av' => 'avarisk',
			'awa' => 'awadhi',
			'ay' => 'aymara',
			'az' => 'aserbajdsjansk',
			'ba' => 'basjkirsk',
			'bad' => 'banda',
			'bai' => 'bamilekisk språk',
			'bal' => 'baluchi',
			'ban' => 'balinesisk',
			'bas' => 'basa',
			'bat' => 'baltisk språk',
			'be' => 'kviterussisk',
			'bej' => 'beja',
			'bem' => 'bemba',
			'ber' => 'berbisk',
			'bg' => 'bulgarsk',
			'bh' => 'bihari',
			'bho' => 'bhojpuri',
			'bi' => 'bislama',
			'bik' => 'bikol',
			'bin' => 'bini',
			'bla' => 'siksika',
			'bm' => 'bambara',
			'bn' => 'bengali',
			'bnt' => 'bantu',
			'bo' => 'tibetansk',
			'br' => 'bretonsk',
			'bra' => 'braj',
			'bs' => 'bosnisk',
			'btk' => 'batak',
			'bua' => 'burjatisk',
			'bug' => 'buginesisk',
			'byn' => 'blin',
			'ca' => 'katalansk',
			'cad' => 'caddo',
			'cai' => 'sentralamerikansk indiansk språk',
			'car' => 'karibisk',
			'cau' => 'kaukasisk språk',
			'cch' => 'atsam',
			'ce' => 'tsjetsjensk',
			'ceb' => 'cebuansk',
			'cel' => 'keltisk språk',
			'ch' => 'chamorro',
			'chb' => 'chibcha',
			'chg' => 'chagatai',
			'chk' => 'chuukesisk',
			'chm' => 'mari',
			'chn' => 'chinook',
			'cho' => 'choctaw',
			'chp' => 'chipewiansk',
			'chr' => 'cherokee',
			'chy' => 'cheyenne',
			'cmc' => 'kamisk språk',
			'co' => 'korsikansk',
			'cop' => 'koptisk',
			'cpe' => 'engelskbasert kreol- eller pidginspråk',
			'cpf' => 'franskbasert kreol- eller pidginspråk',
			'cpp' => 'portugisiskbasert kreol- eller pidginspråk',
			'cr' => 'cree',
			'crh' => 'krimtatarisk',
			'crp' => 'kreol- eller pidginspråk',
			'cs' => 'tsjekkisk',
			'csb' => 'kasjubisk',
			'cu' => 'kyrkjeslavisk',
			'cus' => 'kusjitisk språk',
			'cv' => 'tsjuvansk',
			'cy' => 'walisisk',
			'da' => 'dansk',
			'dak' => 'dakota',
			'dar' => 'dargwa',
			'day' => 'dayak',
			'de' => 'tysk',
			'de_AT' => 'austerriksk tysk',
			'de_CH' => 'sveitsisk høgtysk',
			'del' => 'delaware',
			'den' => 'slavej',
			'dgr' => 'dogrib',
			'din' => 'dinka',
			'doi' => 'dogri',
			'dra' => 'dravidisk språk',
			'dsb' => 'lågsorbisk',
			'dua' => 'duala',
			'dum' => 'mellumnederlandsk',
			'dv' => 'divehi',
			'dyu' => 'dyula',
			'dz' => 'dzongkha',
			'ee' => 'ewe',
			'efi' => 'efik',
			'egy' => 'gammalegyptisk',
			'eka' => 'ekajuk',
			'el' => 'gresk',
			'elx' => 'elamittisk',
			'en' => 'engelsk',
			'en_CA' => 'kanadisk engelsk',
			'en_US' => 'engelsk (amerikansk)',
			'enm' => 'mellomengelsk',
			'eo' => 'esperanto',
			'es' => 'spansk',
			'es_419' => 'latinamerikansk spansk',
			'es_ES' => 'iberisk spansk',
			'et' => 'estisk',
			'eu' => 'baskisk',
			'ewo' => 'ewondo',
			'fa' => 'persisk',
			'fan' => 'fang',
			'fat' => 'fanti',
			'ff' => 'fulani',
			'fi' => 'finsk',
			'fil' => 'filippinsk',
			'fiu' => 'finsk-ugrisk språk',
			'fj' => 'fijiansk',
			'fo' => 'færøysk',
			'fon' => 'fon',
			'fr' => 'fransk',
			'fr_CA' => 'kanadisk fransk',
			'fr_CH' => 'sveitsisk fransk',
			'frm' => 'mellomfransk',
			'fro' => 'gammalfransk',
			'frr' => 'nordfrisisk',
			'frs' => 'austfrisisk',
			'fur' => 'friuliansk',
			'fy' => 'vestfrisisk',
			'ga' => 'irsk',
			'gaa' => 'ga',
			'gay' => 'gayo',
			'gba' => 'gbaya',
			'gd' => 'skotsk-gælisk',
			'gem' => 'germansk språk',
			'gez' => 'ges',
			'gil' => 'kiribatisk',
			'gl' => 'galicisk',
			'gmh' => 'mellomhøgtysk',
			'gn' => 'guarani',
			'goh' => 'gammalhøgtysk',
			'gon' => 'gondi',
			'gor' => 'gorontalo',
			'got' => 'gotisk',
			'grb' => 'grebo',
			'grc' => 'gammalgresk',
			'gsw' => 'sveitsertysk',
			'gu' => 'gujarati',
			'gv' => 'manx',
			'gwi' => 'gwichin',
			'ha' => 'hausa',
			'hai' => 'haida',
			'haw' => 'hawaiisk',
			'he' => 'hebraisk',
			'hi' => 'hindi',
			'hil' => 'hiligaynon',
			'him' => 'himachali',
			'hit' => 'hettittisk',
			'hmn' => 'hmong',
			'ho' => 'hiri motu',
			'hr' => 'kroatisk',
			'hsb' => 'høgsorbisk',
			'ht' => 'haitisk',
			'hu' => 'ungarsk',
			'hup' => 'hupa',
			'hy' => 'armensk',
			'hz' => 'herero',
			'ia' => 'interlingua',
			'iba' => 'iban',
			'id' => 'indonesisk',
			'ie' => 'interlingue',
			'ig' => 'ibo',
			'ii' => 'sichuan-yi',
			'ijo' => 'ijo',
			'ik' => 'inupiak',
			'ilo' => 'iloko',
			'inc' => 'indisk språk',
			'ine' => 'indo-europeisk språk',
			'inh' => 'ingusjisk',
			'io' => 'ido',
			'ira' => 'iransk',
			'iro' => 'irokansk språk',
			'is' => 'islandsk',
			'it' => 'italiensk',
			'iu' => 'inuktitut',
			'ja' => 'japansk',
			'jbo' => 'lojban',
			'jpr' => 'jødepersisk',
			'jrb' => 'jødearabisk',
			'jv' => 'javanesisk',
			'ka' => 'georgisk',
			'kaa' => 'karakalpakisk',
			'kab' => 'kabylsk',
			'kac' => 'kachin',
			'kaj' => 'jju',
			'kam' => 'kamba',
			'kar' => 'karensk',
			'kaw' => 'kawi',
			'kbd' => 'kabardisk',
			'kcg' => 'tyap',
			'kfo' => 'koro',
			'kg' => 'kikongo',
			'kha' => 'khasi',
			'khi' => 'khoisanspråk',
			'kho' => 'khotanesisk',
			'ki' => 'kikuyu',
			'kj' => 'kuanyama',
			'kk' => 'kasakhisk',
			'kl' => 'kalaallisut; grønlandsk',
			'km' => 'khmer',
			'kmb' => 'kimbundu',
			'kn' => 'kannada',
			'ko' => 'koreansk',
			'kok' => 'konkani',
			'kos' => 'kosraeansk',
			'kpe' => 'kpelle',
			'kr' => 'kanuri',
			'krc' => 'karachay-balkar',
			'krl' => 'karelsk',
			'kro' => 'kru',
			'kru' => 'kurukh',
			'ks' => 'kasjmiri',
			'ku' => 'kurdisk',
			'kum' => 'kumyk',
			'kut' => 'kutenai',
			'kv' => 'komi',
			'kw' => 'kornisk',
			'ky' => 'kirgisisk',
			'la' => 'latin',
			'lad' => 'ladinsk',
			'lah' => 'lahnda',
			'lam' => 'lamba',
			'lb' => 'luxemburgsk',
			'lez' => 'lezghian',
			'lg' => 'ganda',
			'li' => 'limburgisk',
			'ln' => 'lingala',
			'lo' => 'laotisk',
			'lol' => 'mongo',
			'loz' => 'lozi',
			'lt' => 'litauisk',
			'lu' => 'luba-katanga',
			'lua' => 'luba-lulua',
			'lui' => 'luiseno',
			'lun' => 'lunda',
			'luo' => 'luo',
			'lus' => 'lushai',
			'lv' => 'latvisk',
			'mad' => 'maduresisk',
			'mag' => 'magahi',
			'mai' => 'maithili',
			'mak' => 'makasar',
			'man' => 'mandingo',
			'map' => 'austronesisk',
			'mas' => 'masai',
			'mdf' => 'moksha',
			'mdr' => 'mandar',
			'men' => 'mende',
			'mg' => 'madagassisk',
			'mga' => 'mellomirsk',
			'mh' => 'marshallesisk',
			'mi' => 'maori',
			'mic' => 'micmac',
			'min' => 'minangkabau',
			'mis' => 'anna språk',
			'mk' => 'makedonsk',
			'mkh' => 'mon-khmerspråk',
			'ml' => 'malayalam',
			'mn' => 'mongolsk',
			'mnc' => 'mandsju',
			'mni' => 'manipuri',
			'mno' => 'manobospråk',
			'mo' => 'moldavisk',
			'moh' => 'mohawk',
			'mos' => 'mossi',
			'mr' => 'marathi',
			'ms' => 'malayisk',
			'mt' => 'maltesisk',
			'mul' => 'fleire språk',
			'mun' => 'mundaspråk',
			'mus' => 'creek',
			'mwl' => 'mirandesisk',
			'mwr' => 'marwari',
			'my' => 'burmesisk',
			'myn' => 'mayaspråk',
			'myv' => 'erzya',
			'na' => 'nauru',
			'nah' => 'nahuatl',
			'nai' => 'nordamerikansk indiansk språk',
			'nap' => 'napolitansk',
			'nb' => 'bokmål',
			'nd' => 'nord-ndebele',
			'nds' => 'lågtysk',
			'ne' => 'nepalsk',
			'new' => 'newari',
			'ng' => 'ndonga',
			'nia' => 'nias',
			'nic' => 'niger-kordofaniansk språk',
			'niu' => 'niueansk',
			'nl' => 'nederlandsk',
			'nl_BE' => 'flamsk',
			'nn' => 'nynorsk',
			'no' => 'norsk',
			'nog' => 'nogai',
			'non' => 'gammalnorsk',
			'nqo' => 'n\'ko',
			'nr' => 'sør-ndebele',
			'nso' => 'nordsotho',
			'nub' => 'nubisk språk',
			'nv' => 'navajo',
			'nwc' => 'klassisk newarisk',
			'ny' => 'nyanja',
			'nym' => 'nyamwezi',
			'nyn' => 'nyankole',
			'nyo' => 'nyoro',
			'nzi' => 'nzima',
			'oc' => 'oksitansk',
			'oj' => 'ojibwa',
			'om' => 'oromo',
			'or' => 'oriya',
			'os' => 'ossetisk',
			'osa' => 'osage',
			'ota' => 'ottomansk tyrkisk',
			'oto' => 'otomisk språk',
			'pa' => 'panjabi',
			'paa' => 'papuisk språk',
			'pag' => 'pangasinan',
			'pal' => 'pahlavi',
			'pam' => 'pampanga',
			'pap' => 'papiamento',
			'pau' => 'palauisk',
			'peo' => 'gammalpersisk',
			'phi' => 'filippinsk språk',
			'phn' => 'fønikisk',
			'pi' => 'pali',
			'pl' => 'polsk',
			'pon' => 'ponapisk',
			'pra' => 'prakrit-språk',
			'pro' => 'gammalprovençalsk',
			'ps' => 'pashto',
			'pt' => 'portugisisk',
			'pt_BR' => 'brasiliansk portugisisk',
			'qu' => 'quechua',
			'raj' => 'rajasthani',
			'rap' => 'rapanui',
			'rar' => 'rarotongansk',
			'rm' => 'retoromansk',
			'rn' => 'rundi',
			'ro' => 'rumensk',
			'roa' => 'romansk språk',
			'rom' => 'romani',
			'root' => 'rot',
			'ru' => 'russisk',
			'rup' => 'aromansk',
			'rw' => 'kinjarwanda',
			'sa' => 'sanskrit',
			'sad' => 'sandawe',
			'sah' => 'jakutsk',
			'sai' => 'søramerikansk indiansk språk',
			'sal' => 'salishansk språk',
			'sam' => 'samaritansk arameisk',
			'sas' => 'sasak',
			'sat' => 'santali',
			'sc' => 'sardinsk',
			'scn' => 'siciliansk',
			'sco' => 'skotsk',
			'sd' => 'sindhi',
			'se' => 'nordsamisk',
			'sel' => 'selkupisk',
			'sem' => 'semittisk språk',
			'sg' => 'sango',
			'sga' => 'gammalirsk',
			'sgn' => 'teiknspråk',
			'sh' => 'serbokroatisk',
			'shn' => 'shan',
			'si' => 'singalesisk',
			'sid' => 'sidamo',
			'sio' => 'sioux-språk',
			'sit' => 'sino-tibetansk språk',
			'sk' => 'slovakisk',
			'sl' => 'slovensk',
			'sla' => 'slavisk språk',
			'sm' => 'samoansk',
			'sma' => 'sørsamisk',
			'smi' => 'samisk språk',
			'smj' => 'lulesamisk',
			'smn' => 'enaresamisk',
			'sms' => 'skoltesamisk',
			'sn' => 'shona',
			'snk' => 'soninke',
			'so' => 'somali',
			'sog' => 'sogdisk',
			'son' => 'songhai',
			'sq' => 'albansk',
			'sr' => 'serbisk',
			'srn' => 'sranan tongo',
			'srr' => 'serer',
			'ss' => 'swati',
			'ssa' => 'nilo-saharaspråk',
			'st' => 'sørsotho',
			'su' => 'sundanesisk',
			'suk' => 'sukuma',
			'sus' => 'susu',
			'sux' => 'sumerisk',
			'sv' => 'svensk',
			'sw' => 'swahili',
			'syc' => 'klassisk syrisk',
			'syr' => 'syrisk',
			'ta' => 'tamil',
			'tai' => 'taispråk',
			'te' => 'telugu',
			'tem' => 'temne',
			'ter' => 'tereno',
			'tet' => 'tetum',
			'tg' => 'tatsjikisk',
			'th' => 'thai',
			'ti' => 'tigrinja',
			'tig' => 'tigré',
			'tiv' => 'tivi',
			'tk' => 'turkmensk',
			'tkl' => 'tokelau',
			'tl' => 'tagalog',
			'tlh' => 'klingon',
			'tli' => 'tlingit',
			'tmh' => 'tamasjek',
			'tn' => 'tswana',
			'to' => 'tonga (Tonga-øyane)',
			'tog' => 'tonga (Nyasa)',
			'tpi' => 'tok pisin',
			'tr' => 'tyrkisk',
			'ts' => 'tsonga',
			'tsi' => 'tsimshian',
			'tt' => 'tatarisk',
			'tum' => 'tumbuka',
			'tup' => 'tupi-språk',
			'tut' => 'altaisk språk',
			'tvl' => 'tuvalu',
			'tw' => 'twi',
			'ty' => 'tahitisk',
			'tyv' => 'tuvinisk',
			'udm' => 'udmurt',
			'ug' => 'uigurisk',
			'uga' => 'ugaritisk',
			'uk' => 'ukrainsk',
			'umb' => 'umbundu',
			'und' => 'ikkje bestemt',
			'ur' => 'urdu',
			'uz' => 'usbekisk',
			'vai' => 'vai',
			've' => 'venda',
			'vi' => 'vietnamesisk',
			'vo' => 'volapyk',
			'vot' => 'votisk',
			'wa' => 'vallonsk',
			'wak' => 'wakasjansk språk',
			'wal' => 'walamo',
			'war' => 'waray',
			'was' => 'washo',
			'wen' => 'sorbisk språk',
			'wo' => 'wolof',
			'xal' => 'kalmyk',
			'xh' => 'xhosa',
			'yao' => 'yao',
			'yap' => 'yapesisk',
			'yi' => 'jiddisk',
			'yo' => 'joruba',
			'ypk' => 'jupisk språk',
			'za' => 'zhuang',
			'zap' => 'zapotec',
			'zbl' => 'blissymbol',
			'zen' => 'zenaga',
			'zh' => 'kinesisk',
			'zh_Hans' => 'forenkla kinesisk',
			'zh_Hant' => 'tradisjonell kinesisk',
			'znd' => 'zande',
			'zu' => 'zulu',
			'zun' => 'zuni',
			'zxx' => 'utan språkleg innhald',
			'zza' => 'zaza',
		],
		'script' => [
			'Arab' => 'arabisk',
			'Armi' => 'armisk',
			'Armn' => 'armensk',
			'Avst' => 'avestisk',
			'Bali' => 'balinesisk',
			'Batk' => 'batak',
			'Beng' => 'bengali',
			'Blis' => 'blissymbol',
			'Bopo' => 'bopomofo',
			'Brah' => 'brahmi',
			'Brai' => 'braille',
			'Bugi' => 'buginesisk',
			'Buhd' => 'buhid',
			'Cakm' => 'chakma',
			'Cans' => 'felles kanadiske urspråksstavingar',
			'Cari' => 'karisk',
			'Cham' => 'cham',
			'Cher' => 'cherokee',
			'Cirt' => 'cirth',
			'Copt' => 'koptisk',
			'Cprt' => 'kypriotisk',
			'Cyrl' => 'kyrillisk',
			'Cyrs' => 'kyrillisk (kyrkjeslavisk variant)',
			'Deva' => 'devanagari',
			'Dsrt' => 'deseret',
			'Egyd' => 'egyptisk demotisk',
			'Egyh' => 'egyptisk hieratisk',
			'Egyp' => 'egyptiske hieroglyfar',
			'Ethi' => 'etiopisk',
			'Geok' => 'khutsuri (asomtavruli og nuskhuri)',
			'Geor' => 'georgisk',
			'Glag' => 'glagolittisk',
			'Goth' => 'gotisk',
			'Grek' => 'gresk',
			'Gujr' => 'gujarati',
			'Guru' => 'gurmukhi',
			'Hang' => 'hangul',
			'Hani' => 'han',
			'Hano' => 'hanunoo',
			'Hans' => 'forenkla kinesisk',
			'Hant' => 'tradisjonell kinesisk',
			'Hebr' => 'hebraisk',
			'Hira' => 'hiragana',
			'Hmng' => 'pahawk hmong',
			'Hrkt' => 'katakana eller hiragana',
			'Hung' => 'gammalungarsk',
			'Inds' => 'indus (Harappan)',
			'Ital' => 'gammalitalisk',
			'Java' => 'javanesisk',
			'Jpan' => 'japansk',
			'Kali' => 'kayah li',
			'Kana' => 'katakana',
			'Khar' => 'kharoshthi',
			'Khmr' => 'khmer',
			'Knda' => 'kannada',
			'Kore' => 'koreansk',
			'Kthi' => 'kaithisk',
			'Lana' => 'lanna',
			'Laoo' => 'laotisk',
			'Latf' => 'latinsk (frakturvariant)',
			'Latg' => 'latinsk (gælisk variant)',
			'Latn' => 'latinsk',
			'Lepc' => 'lepcha (róng)',
			'Limb' => 'lumbu',
			'Lina' => 'lineær A',
			'Linb' => 'lineær B',
			'Lyci' => 'lykisk',
			'Lydi' => 'lydisk',
			'Mand' => 'mandaisk',
			'Mani' => 'manikeisk',
			'Maya' => 'maya-hieroglyfar',
			'Mero' => 'meroitisk',
			'Mlym' => 'malayalam',
			'Mong' => 'mongolsk',
			'Moon' => 'moon',
			'Mtei' => 'meitei-mayek',
			'Mymr' => 'myanmar',
			'Nkoo' => 'n\'ko',
			'Ogam' => 'ogham',
			'Olck' => 'ol-chiki',
			'Orkh' => 'orkhon',
			'Orya' => 'oriya',
			'Osma' => 'osmanya',
			'Perm' => 'gammalpermisk',
			'Phag' => 'phags-pa',
			'Phli' => 'inskripsjonspahlavi',
			'Phlp' => 'salmepahlavi',
			'Phlv' => 'pahlavi',
			'Phnx' => 'fønikisk',
			'Plrd' => 'pollard-fonetisk',
			'Prti' => 'inskripsjonsparthisk',
			'Qaai' => 'nedarva',
			'Rjng' => 'rejang',
			'Roro' => 'rongorongo',
			'Runr' => 'runer',
			'Samr' => 'samaritansk',
			'Sara' => 'sarati',
			'Saur' => 'saurashtra',
			'Sgnw' => 'teiknskrift',
			'Shaw' => 'shavisk',
			'Sinh' => 'sinhala',
			'Sund' => 'sundanesisk',
			'Sylo' => 'syloti nagri',
			'Syrc' => 'syriakisk',
			'Syre' => 'syriakisk (estrangelo-variant)',
			'Syrj' => 'syriakisk (vestleg variant)',
			'Syrn' => 'syriakisk (austleg variant)',
			'Tagb' => 'tagbanwa',
			'Tale' => 'tai le',
			'Talu' => 'ny tai lue',
			'Taml' => 'tamilsk',
			'Tavt' => 'tai viet',
			'Telu' => 'telugu',
			'Teng' => 'tengwar',
			'Tfng' => 'tifinagh (berber)',
			'Tglg' => 'tagalog',
			'Thaa' => 'thaana',
			'Thai' => 'thai',
			'Tibt' => 'tibetansk',
			'Ugar' => 'ugaritisk',
			'Vaii' => 'vai',
			'Visp' => 'synleg tale',
			'Xpeo' => 'gammalpersisk',
			'Xsux' => 'sumero-akkadisk kileskrift',
			'Yiii' => 'yi',
			'Zmth' => 'matematisk notasjon',
			'Zsym' => 'symbol',
			'Zxxx' => 'kode for språk utan skrift',
			'Zyyy' => 'felles',
			'Zzzz' => 'ukjend eller ugyldig skrift',
		],
		'months' => [
			'abbreviated' => [
				1 => 'jan',
				2 => 'feb',
				3 => 'mar',
				4 => 'apr',
				5 => 'mai',
				6 => 'jun',
				7 => 'jul',
				8 => 'aug',
				9 => 'sep',
				10 => 'okt',
				11 => 'nov',
				12 => 'des',
			],
			'narrow' => [
				1 => 1,
				2 => 2,
				3 => 3,
				4 => 4,
				5 => 5,
				6 => 6,
				7 => 7,
				8 => 8,
				9 => 9,
				10 => 10,
				11 => 11,
				12 => 12,
			],
			'wide' => [
				1 => 'januar',
				2 => 'februar',
				3 => 'mars',
				4 => 'april',
				5 => 'mai',
				6 => 'juni',
				7 => 'juli',
				8 => 'august',
				9 => 'september',
				10 => 'oktober',
				11 => 'november',
				12 => 'desember',
			],
		],
		'days' => [
			'abbreviated' => [
				'sun' => 'sø.',
				'mon' => 'må.',
				'tue' => 'ty.',
				'wed' => 'on.',
				'thu' => 'to.',
				'fri' => 'fr.',
				'sat' => 'la.',
			],
			'narrow' => [
				'sun' => 1,
				'mon' => 2,
				'tue' => 3,
				'wed' => 4,
				'thu' => 5,
				'fri' => 6,
				'sat' => 7,
			],
			'wide' => [
				'sun' => 'søndag',
				'mon' => 'måndag',
				'tue' => 'tysdag',
				'wed' => 'onsdag',
				'thu' => 'torsdag',
				'fri' => 'fredag',
				'sat' => 'laurdag',
			],
		],
	];

}
