<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev: 9dcb937660e9 $
 * $Author: Marc Krämer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-09-05 21:29 +0200 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_gui_tabs{
	/** @var string */
	private $container = '';

	public const WE_ICON_PROPERTIES = 'fa-cog';
	public const WE_ICON_CUSTOMER_FILTER = 'fa-group';
	public const WE_ICON_WORKSPACE = 'fa-desktop';
	public const WE_ICON_EDIT = 'fa-edit';
	public const WE_ICON_INFO = 'fa-info-circle';
	public const WE_ICON_CONTENT = 'fa-search';
	public const WE_ICON_PREVIEW = 'fa-eye';

	public function addTab(string $text, string $icon = '', bool $isActive = false, string $tabname = '', array $attribs = []): void{
		//$att = $text ? 'title="' . $text . '" ' : '';
		$att = '';
		foreach($attribs as $key => $val){
			$att .= $key . '="' . $val . '" ';
		}
		$this->container .= '<div ' . $att . 'onclick="weTabs.clickHandler(window,this,' . $tabname . ');" class="' . ($isActive ? 'tabActive' : 'tabNormal') . '"><span class="content">';
		$icons = explode(',', $icon) ?: ['fa-ambulance'];
		foreach($icons as $icon){
			$this->container .= '<i class="icon fa ' . $icon . '"></i>';
		}
		$this->container .= ($text ? '<span class="text">' . $text . '</span>' : '') . '</span></div>';
	}

	function getHTML(): string{
		return $this->container ? '<div id="tabContainer" name="tabContainer">' . $this->container . '</div>' : '';
	}

}
