<?php
declare(strict_types=1);

/**
 * webEdition CMS
 *
 * $Rev$
 * $Author$
 * $Date$
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_rpc_response implements JsonSerializable{
	/** @var bool */
	protected $Success = true;

	/** @var string */
	protected $Reason = '';

	/** @var array */
	protected $DataArray = [];

	function getStatus(): bool{
		return $this->Success;
	}

	function setStatus(bool $success): void{
		$this->Success = $success;
	}

	function getReason(): string{
		return $this->Reason;
	}

	function setReason(string $reason): void{
		$this->Reason = $reason;
	}

	function addData(string $name, /* mixed */ $data): void{
		$this->DataArray[$name] = $data;
	}

	public function setData(string $name, /* mixed */ $data): void{
		$this->addData($name, $data);
	}

	function getData(string $name)/* :mixed */{
		return $this->DataArray[$name] ?? '';
	}

	function getDataArray(): array{
		return $this->DataArray;
	}

	function merge(we_rpc_response $response): void{
		$this->setStatus($response->getStatus());
		$this->setReason($response->getReason());
		$this->DataArray = array_merge($this->DataArray, $response->getDataArray());
	}

	public function jsonSerialize(){
		return [
			'Success' => $this->Success,
			'Reason' => $this->Reason,
			'DataArray' => $this->DataArray,
		];
	}

}
