<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: d5bcf73330c9 $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2019-12-28 19:06 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifUser extends we_weTag_ifTag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		if(!we_base_WE::$editmode || empty($_SESSION['user'])){
			//if not editmode or in frontend, show content
			return !self::getAttribute('not', $attribs, false, we_base_request::BOOL);
		}

		if(self::getAttribute('admin', $attribs, false, we_base_request::BOOL) && we_base_permission::hasPerm(['ADMINISTRATOR'])){
			return true;
		}
		$user = self::getAttribute('userid', $attribs, [], we_base_request::INTLISTA);
		$group = self::getAttribute('groupid', $attribs, self::getAttribute('group', $attribs, [], we_base_request::INTLISTA), we_base_request::INTLISTA);
		$recurse = self::getAttribute('recursive', $attribs, false, we_base_request::BOOL);
		$userSession = $_SESSION['user'];
		'@phan-var array{ID:int,Groups:array,Group:int,Aliases:int[]} $userSession';
		$ret = ($user ? in_array($userSession['ID'], $user) : false);

		if($group){
			if($recurse && empty($userSession['Groups'])){
				self::getUserGroups($userSession['Group']);
				$_SESSION['user']['Groups'] = [];
				foreach(($userSession['Aliases'] ?? []) as $parent){
					self::getUserGroups($parent);
				}
			}
			$ret = $ret || ($recurse ? !empty(array_intersect($group, $userSession['Groups'])) : in_array($userSession['Group'], $group));
		}

		return $ret;
	}

	protected static function getUserGroups(int $parent): void{
		if(!empty($_SESSION['user']['Groups'])){
			return;
		}
		$_SESSION['user']['Groups'] = [];
		while($parent){
			$_SESSION['user']['Groups'][] = $parent;
			$parent = fI('SELECT ParentID FROM ' . USER_TABLE . ' WHERE ID=' . $parent);
		}
	}

}
