<?php
declare(strict_types=1);

/* webEdition CMS
 *
 * $Rev: 07a9a048026d $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-18 00:22 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */

abstract class we_tag_ifWorkspace extends we_weTag_ifTag{

	public static function tag(array $attribs = [], string $content = '', bool $internal = false): bool{
		$required_path = self::getAttribute('path', $attribs, [], we_base_request::WEFILELISTA);
		$docAttr = self::getAttribute('doc', $attribs, 'self', we_base_request::STRING);
		$doc = self::getDocForTag($docAttr);
		$id = self::getAttribute('id', $attribs, [], we_base_request::INTLISTA);

		$required_path = $required_path ?: id2pathA($id, FILE_TABLE);

		if(!$required_path){
			return false;
		}

		foreach($required_path as $path){
			$path = rtrim((string) $path, '/') . '/';
			if(str_starts_with($doc->Path, $path)){
				return true;
			}
		}

		return false;
	}

}
