<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_ifNotWritten extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_IF];
		$custOnError = new we_weTag_selectAttribute($this, 'onerror', '', [
			new we_weTag_option('all'),
			new we_weTag_option('nousername'),
			new we_weTag_option('nopassword'),
			new we_weTag_option('userexists'),
			new we_weTag_option('passwordRule'),
			], false, we_modules_info::CUSTOMER);
		$formName = new we_weTag_textAttribute($this, 'formname', '', false, '');
		$docOnError = new we_weTag_selectAttribute($this, 'onerror', '', [
			new we_weTag_option('all'),
			new we_weTag_option('notAllowed'),
			new we_weTag_option('isProtected'),
			new we_weTag_option('duplicateName'),
			new we_weTag_option('generalError'),
			new we_weTag_option('fieldsNotValid'),
			], false, '');

		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'type', [
			new we_weTag_option(''),
			new we_weTag_option('document', false, '', [$formName, $docOnError]),
			new we_weTag_option('object', false, we_modules_info::OBJECT, [$formName, $docOnError]),
			new we_weTag_option('customer', false, we_modules_info::CUSTOMER, [$custOnError]),
			new we_weTag_option('shop', false, we_modules_info::SHOP, []),
		]);

		$this->Attributes = [$formName, $docOnError, $custOnError];
	}

}
