<?php
declare(strict_types=1);

/** webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
class we_tw_ifUser extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_IF];
		$this->Module = we_modules_info::USERS;

		$this->Attributes = [
			new we_weTag_multiSelectorAttribute($this, 'userid', '', USER_TABLE, 'user', 'username'),
			new we_weTag_multiSelectorAttribute($this, 'groupid', '', USER_TABLE, we_base_ContentTypes::FOLDER_COMMON, 'groupname'),
			new we_weTag_selectAttribute($this, 'admin', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_selectAttribute($this, 'recursive', '', we_weTag_selectAttribute::getTrueFalse()),
		];
	}

}
