<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_input extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Groups = [self::GROUP_INPUT];

		$name = new we_weTag_textAttribute($this, 'name', '', true, '');
		$size = new we_weTag_textAttribute($this, 'size', '', false, '');
		$maxlength = new we_weTag_textAttribute($this, 'maxlength', '', false, '', '', 'number');
		$format = new we_weTag_textAttribute($this, 'format', '', false, '');
		$mode = new we_weTag_selectAttribute($this, 'mode', '', [
			new we_weTag_option('add', false, ''),
			new we_weTag_option('replace', false, '')
			], false, '');
		$value = new we_weTag_textAttribute($this, 'value', '', false, '');
		$values = new we_weTag_textAttribute($this, 'values', '', false, '');
		$checked = new we_weTag_selectAttribute($this, 'checked', '', we_weTag_selectAttribute::getTrueFalse());
		$html = new we_weTag_selectAttribute($this, 'html', '', we_weTag_selectAttribute::getTrueFalse());
		$htmlspecialchars = new we_weTag_selectAttribute($this, 'htmlspecialchars', '', we_weTag_selectAttribute::getTrueFalse());
		$num_format = new we_weTag_selectAttribute($this, 'num_format', '', [
			new we_weTag_option('german', false, ''),
			new we_weTag_option('english', false, ''),
			new we_weTag_option('french', false, ''),
			new we_weTag_option('swiss', false, '')
			], false, '');
		$precision = new we_weTag_textAttribute($this, 'precision', '', false, '', '', 'number');
		$reload = new we_weTag_selectAttribute($this, 'reload', '', we_weTag_selectAttribute::getTrueFalse());
		$seperator = new we_weTag_textAttribute($this, 'seperator', '', false, '');
		$outputlanguage = new we_weTag_textAttribute($this, 'outputlanguage', '', false, '');
		$doc = new we_weTag_selectAttribute($this, 'doc', '', [
			new we_weTag_option('self', false, ''),
			new we_weTag_option('top', false, '')
			], false, '');
		$currentdate = new we_weTag_selectAttribute($this, 'currentdate', '', we_weTag_selectAttribute::getTrueFalse());

		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'type', [
			new we_weTag_option('text', false, '', [$name, $size, $maxlength, $value, $html, $num_format, $precision, $htmlspecialchars,], [$name]),
			new we_weTag_option('checkbox', false, '', [$name, $value, $checked, $reload, $htmlspecialchars,], [$name]),
			new we_weTag_option('date', false, '', [$name, $format, $currentdate, $htmlspecialchars,], [$name]),
			new we_weTag_option('choice', false, '', [$name, $size, $maxlength, $mode, $values, $reload, $seperator, $htmlspecialchars,], [$name]),
			new we_weTag_option('select', false, '', [$name, $values, $htmlspecialchars,], [$name]),
			new we_weTag_option('country', false, '', [$name, $outputlanguage, $doc,], [$name]),
			new we_weTag_option('language', false, '', [$name, $outputlanguage, $doc], [$name])], true, '');

		$this->Attributes = [$name, $size, $maxlength, $format, $mode, $value, $values, $html, $htmlspecialchars, $num_format, $precision, $reload,
			$seperator, $outputlanguage, $doc];
	}

}
