<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_navigationEntry extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = true;
		$this->Groups = [self::GROUP_NAVIGATION];
		$this->Module = we_modules_info::NAVIGATION;
		$this->DefaultValue = '<we:navigationField complete="link"/><br/>';

		$this->Attributes = [
			new we_weTag_textAttribute($this, 'navigationname', '', false, ''),
			new we_weTag_selectAttribute($this, 'type', '', [
				new we_weTag_option(we_weTag_selectorAttribute::FOLDER),
				new we_weTag_option('item'),
				], true, ''),
			new we_weTag_textAttribute($this, 'level', '', false, '', '', 'number'),
			new we_weTag_selectAttribute($this, 'current', '', we_weTag_selectAttribute::getTrueFalse()),
			new we_weTag_choiceAttribute($this, 'position', '', [
				new we_weTag_option('first'),
				new we_weTag_option('odd'),
				new we_weTag_option('even'),
				new we_weTag_option('last'),
				], false, false, ''),
		];
	}

}
