<?php
declare(strict_types=1);

/**

 * webEdition CMS
 *
 * $Rev: e9fb15a2aaef $
 * $Author: Marc Kraemer <marc.kraemer@aldente-it.de> $
 * $Date: 2020-11-15 17:36 +0100 $
 */
class we_tw_textarea extends we_weTag_twbase{

	public function __construct(string $tagName){
		parent::__construct($tagName, true);
		$this->NeedsEndTag = false;
		$this->Groups = [self::GROUP_INPUT];

		$name = new we_weTag_textAttribute($this, 'name', '', true, '');
		$autobr = new we_weTag_selectAttribute($this, 'autobr', '', we_weTag_selectAttribute::getTrueFalse());
		$importrtf = new we_weTag_selectAttribute($this, 'importrtf', '', we_weTag_selectAttribute::getTrueFalse());
		$width = new we_weTag_textAttribute($this, 'width', '', false, '', '', 'number');
		$height = new we_weTag_textAttribute($this, 'height', '', false, '', '', 'number');
		$bgcolor = new we_weTag_textAttribute($this, 'bgcolor', '', false, '');
		$class = new we_weTag_textAttribute($this, 'class', '', false, '');
		$editorcss = new we_weTag_selectorAttribute($this, 'editorcss', '', FILE_TABLE, we_base_ContentTypes::CSS, false, '');
		$imagestartid = new we_weTag_selectorAttribute($this, 'imagestartid', '', FILE_TABLE, we_weTag_selectorAttribute::FOLDER, false, '');
		$ignoredocumentcss = new we_weTag_selectAttribute($this, 'ignoredocumentcss', '', we_weTag_selectAttribute::getTrueFalse());
		$htmlspecialchars = new we_weTag_selectAttribute($this, 'htmlspecialchars', '', we_weTag_selectAttribute::getTrueFalse());
		$cmds = we_wysiwyg_editor::getEditorCommands(true);
		$commands = new we_weTag_choiceAttribute($this, 'commands', '', $cmds, false, true, '');
		//$contextmenu = new we_weTag_choiceAttribute($this, 'contextmenu', '', $cmds, false, true, '');
		$fontsizes = new we_weTag_choiceAttribute($this, 'fontsizes', '', we_wysiwyg_editor::getAttributeOptions('fontsizes', true), false, true, '');
		$formats = new we_weTag_choiceAttribute($this, 'formats', '', we_wysiwyg_editor::getAttributeOptions('formats', true), false, true, '');
		$removefirstparagraph = new we_weTag_selectAttribute($this, 'removefirstparagraph', '', we_weTag_selectAttribute::getTrueFalse());
		$inlineedit = new we_weTag_selectAttribute($this, 'inlineedit', '', we_weTag_selectAttribute::getTrueFalse());
		$classes = new we_weTag_textAttribute($this, 'classes', '', false, '');
		$tinyparams = new we_weTag_textAttribute($this, 'tinyparams', '', false, '');
		$templates = new we_weTag_multiSelectorAttribute($this, 'templates', '', FILE_TABLE, '', 'ID', false, '');
		$gallerytemplates = new we_weTag_multiSelectorAttribute($this, 'gallerytemplates', '', TEMPLATES_TABLE, we_base_ContentTypes::TEMPLATE, 'ID', false, '');
		$size = new we_weTag_choiceAttribute($this, 'size', '', [
			new we_weTag_option('small'),
			new we_weTag_option('medium'),
			new we_weTag_option('big'),
			new we_weTag_option('fullscreen'),
			], false, false, '');

		$this->TypeAttribute = new we_weTag_typeAttribute($this, 'wysiwyg', [
			new we_weTag_option('true', false, '', array_filter([$name, $width, $height, $size, $class, $bgcolor,
					$editorcss, $ignoredocumentcss, $htmlspecialchars, $commands, /* $contextmenu, */ $fontsizes, $formats,
					$removefirstparagraph, $inlineedit, $classes, $templates, $gallerytemplates, $tinyparams, $imagestartid]), [$name]),
			new we_weTag_option('false', false, '', [$name, $class, $autobr, $htmlspecialchars], [$name])], false, '');

		$this->Attributes = array_filter([
			$name,
			$class,
			$autobr,
			$importrtf,
			$width,
			$height,
			$size,
			$bgcolor,
			$editorcss,
			$ignoredocumentcss,
			$htmlspecialchars,
			$commands,
			//$contextmenu,
			$fontsizes,
			$formats,
			$removefirstparagraph,
			$inlineedit,
			$classes,
			$templates,
			$gallerytemplates,
			$tinyparams,
			$imagestartid,
		]);
	}

}
