/* global WE, top */

/**
 * webEdition CMS
 *
 * $Rev: 6329b796be62 $
 * $Author: Lukas Imhof $
 * $Date: 2020-11-10 16:09 +0100 $
 *
 * This source is part of webEdition CMS. webEdition CMS is
 * free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * any later version.
 *
 * The GNU General Public License can be found at
 * http://www.gnu.org/copyleft/gpl.html.
 * A copy is found in the textfile
 * webEdition/licenses/webEditionCMS/License.txt
 *
 * @license	http://www.gnu.org/copyleft/gpl.html  GPL
 */
'use strict';
WE().util.loadConsts(document, "g_l.doctypeEdit");
var activeTab = 0;

function doUnload() {
	WE().layout.jsWindow.prototype.closeAll(window);
}

function disableLangDefault(allnames, allvalues, deselect) {
	var arr = allvalues.split(",");

	for (var i = 0; i < arr.length; i++) {
		document.we_form.elements[allnames + '[' + arr[i] + ']'].disabled = false;
	}

	document.we_form.elements[allnames + '[' + deselect + ']'].disabled = true;
}

function askForSaveOrRefireCmd(args) {
	WE().util.showConfirm(window, "", WE().consts.g_l.doctypeEdit.save_changed_doctype, ["we_docType_save"], ["continueCommand", Array.prototype.slice.call(args)]);
}

function submitForm(document, url) {
	if (!WE().layout.weSuggest.checkRequired(window)) {
		WE().util.showMessage(WE().consts.g_l.main.save_error_fields_value_not_valid, WE().consts.message.WE_MESSAGE_ERROR, window);
		return;
	}
	//submitForm(url);

	var f = /*form ? window.document.forms[form] :*/ window.document.we_form;
	f.target = "edbody";
	f.action = url;
	f.method = "post";
	f.submit();
}

function we_cmd() {
	/*jshint validthis:true */
	var caller = (this && this.window === this ? this : window),
		args = WE().util.getWe_cmdArgsArray(Array.prototype.slice.call(arguments)),
		url = WE().consts.dirs.WEBEDITION_DIR + 'we_cmd.php?we_cmd[0]=we_showMod&mod=doctype';

	switch (args[0]) {
		case 'continueCommand':
			we_cmd('unsetHot');
			we_cmd.apply(window, args[1]);
			break;
		case 'add_dt_template':
		case 'dt_add_cat':
			top.content.setHot();
			url += '&pnt=edbody&we_cmd[1]=' + args[1].allIDs.join(',');
			top.content.editor.edbody.we_form.cmd.value = args[0];
			submitForm(document, url);
			break;
		case 'delete_dt_template':
		case 'dt_delete_cat':
			top.content.setHot();
			url += '&pnt=edbody&we_cmd[1]=' + args[1];
			top.content.editor.edbody.we_form.cmd.value = args[0];
			submitForm(document, url); // FIXME: bad function name since we just submit form to execute cmd other than save!
			break;
		case 'we_docType_save':
			we_cmd('unsetHot');
			top.content.editor.edbody.we_form.cmd.value = args[0];
			submitForm(document, url + '&pnt=edbody');
			break;
		case 'setHot':
			top.content.setHot();
			break;
		case 'setIconOfDocClass':
			top.we_cmd.apply(caller, Array.prototype.slice.call(arguments));
			break;
		default:
			top.content.we_cmd.apply(caller, Array.prototype.slice.call(arguments));
	}
}
